mailparse_msg_create
mailparse_msg_extract_part
Mailparse Functions
PHP Manual

# mailparse_msg_extract_part_file

(PECL mailparse >= 0.9.0)

mailparse_msg_extract_part_file — Extracts/decodes a message section

### Description

string mailparse_msg_extract_part_file ( resource `$mimemail` , mixed `$filename` [, callable `$callbackfunc` ] )

Extracts/decodes a message section from the supplied filename.

The contents of the section will be decoded according to their transfer encoding - base64, quoted-printable and uuencoded text are supported.

### Parameters

`mimemail`

  A valid MIME resource, created with mailparse_msg_create().

`filename`

  Can be a file name or a valid stream resource.

`callbackfunc`

  If set, this must be either a valid callback that will be passed the extracted section, or `NULL` to make this function return the extracted section.

  If not specified, the contents will be sent to "stdout".

### Return Values

If `callbackfunc` is not `NULL` returns `TRUE` on success.

If `callbackfunc` is set to `NULL`, returns the extracted section as a string.

Returns `FALSE` on error.

### See Also

- mailparse_msg_extract_part() - Extracts/decodes a message section
- mailparse_msg_extract_whole_part_file() - Extracts a message section including headers without decoding the transfer encoding

mailparse_msg_create
mailparse_msg_extract_part
Mailparse Functions
PHP Manual